summaryrefslogtreecommitdiff
path: root/integration_tests/make/simple.test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'integration_tests/make/simple.test.sh')
-rw-r--r--integration_tests/make/simple.test.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/integration_tests/make/simple.test.sh b/integration_tests/make/simple.test.sh
new file mode 100644
index 0000000..d6c9b7a
--- /dev/null
+++ b/integration_tests/make/simple.test.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+result="$($PIK hello)"
+if [[ ! "$result" == *"Hello, World"* ]] ; then
+ echo "expected Hello, World" >&2
+ exit 1
+fi
+result="$($PIK other)"
+if [[ ! "$result" == *"Hello from Makefile!"* ]] ; then
+ echo "expected Hello from Makefile!" >&2
+ exit 1
+fi